import request from '@/utils/request'

// 查询分类类别列表
export function listCsClass(query) {
  return request({
    url: '/cs/CsClass/list',
    method: 'get',
    params: query
  })
}

// 查询分类类别详细
export function getCsClass(classId) {
  return request({
    url: '/cs/CsClass/' + classId,
    method: 'get'
  })
}

// 新增分类类别
export function addCsClass(data) {
  return request({
    url: '/cs/CsClass',
    method: 'post',
    data: data
  })
}

// 修改分类类别
export function updateCsClass(data) {
  return request({
    url: '/cs/CsClass',
    method: 'put',
    data: data
  })
}

// 删除分类类别
export function delCsClass(classId) {
  return request({
    url: '/cs/CsClass/' + classId,
    method: 'delete'
  })
}
